config/routes.rb
Rails.application.routes.draw do
  resources :flights
  resources :item_descriptions
  resources :characters
  resources :items
  resources :games
  resources :users
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  match '/help', to: 'static_pages#help', via: 'get'
end

app/models/item_description.rb
class ItemDescription < ApplicationRecord
end

app/controllers/item_descriptions_controller.rb
class ItemDescriptionsController < ApplicationController
  before_action :set_item_description, only: [:show, :edit, :update, :destroy]

  # GET /item_descriptions
  # GET /item_descriptions.json
  def index
    @item_descriptions = ItemDescription.all
  end

  # GET /item_descriptions/1
  # GET /item_descriptions/1.json
  def show
  end

  # GET /item_descriptions/new
  def new
    @item_description = ItemDescription.new
  end

  # GET /item_descriptions/1/edit
  def edit
  end

  # POST /item_descriptions
  # POST /item_descriptions.json
  def create
    @item_description = ItemDescription.new(item_description_params)

    respond_to do |format|
      if @item_description.save
        format.html { redirect_to @item_description, notice: 'Item description was successfully created.' }
        format.json { render :show, status: :created, location: @item_description }
      else
        format.html { render :new }
        format.json { render json: @item_description.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /item_descriptions/1
  # PATCH/PUT /item_descriptions/1.json
  def update
    respond_to do |format|
      if @item_description.update(item_description_params)
        format.html { redirect_to @item_description, notice: 'Item description was successfully updated.' }
        format.json { render :show, status: :ok, location: @item_description }
      else
        format.html { render :edit }
        format.json { render json: @item_description.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /item_descriptions/1
  # DELETE /item_descriptions/1.json
  def destroy
    @item_description.destroy
    respond_to do |format|
      format.html { redirect_to item_descriptions_url, notice: 'Item description was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_item_description
      @item_description = ItemDescription.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def item_description_params
      params.require(:item_description).permit(:name, :description, :charges_start, :charges_max, :type, :can_stack)
    end
end

app/helpers/item_descriptions_helper.rb
module ItemDescriptionsHelper
end

app/views/item_descriptions/_form.html.erb
<%= form_for(item_description) do |f| %>
  <% if item_description.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(item_description.errors.count, "error") %> prohibited this item_description from being saved:</h2>

      <ul>
      <% item_description.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %>
    <%= f.text_field :name %>
  </div>

  <div class="field">
    <%= f.label :description %>
    <%= f.text_field :description %>
  </div>

  <div class="field">
    <%= f.label :charges_start %>
    <%= f.number_field :charges_start %>
  </div>

  <div class="field">
    <%= f.label :charges_max %>
    <%= f.number_field :charges_max %>
  </div>

  <div class="field">
    <%= f.label :type %>
    <%= f.text_field :type %>
  </div>

  <div class="field">
    <%= f.label :can_stack %>
    <%= f.check_box :can_stack %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/item_descriptions/edit.html.erb
<h1>Editing Item Description</h1>

<%= render 'form', item_description: @item_description %>

<%= link_to 'Show', @item_description %> |
<%= link_to 'Back', item_descriptions_path %>

app/views/item_descriptions/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Item Descriptions</h1>

<table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Description</th>
      <th>Charges start</th>
      <th>Charges max</th>
      <th>Type</th>
      <th>Can stack</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @item_descriptions.each do |item_description| %>
      <tr>
        <td><%= item_description.name %></td>
        <td><%= item_description.description %></td>
        <td><%= item_description.charges_start %></td>
        <td><%= item_description.charges_max %></td>
        <td><%= item_description.type %></td>
        <td><%= item_description.can_stack %></td>
        <td><%= link_to 'Show', item_description %></td>
        <td><%= link_to 'Edit', edit_item_description_path(item_description) %></td>
        <td><%= link_to 'Destroy', item_description, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Item Description', new_item_description_path %>

app/views/item_descriptions/new.html.erb
<h1>New Item Description</h1>

<%= render 'form', item_description: @item_description %>

<%= link_to 'Back', item_descriptions_path %>

app/views/item_descriptions/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @item_description.name %>
</p>

<p>
  <strong>Description:</strong>
  <%= @item_description.description %>
</p>

<p>
  <strong>Charges start:</strong>
  <%= @item_description.charges_start %>
</p>

<p>
  <strong>Charges max:</strong>
  <%= @item_description.charges_max %>
</p>

<p>
  <strong>Type:</strong>
  <%= @item_description.type %>
</p>

<p>
  <strong>Can stack:</strong>
  <%= @item_description.can_stack %>
</p>

<%= link_to 'Edit', edit_item_description_path(@item_description) %> |
<%= link_to 'Back', item_descriptions_path %>